Subject: Ticket Assigned - Article Feedback - Where can I spend my Credit Note?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Tue, 18 Oct 2022 02:33:44 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - Where can I spend my Credit Note? Feedback for:  Where can I spend my Credit Note? I have been searching on how to exactly use the credit note for online purchases. I entered the credit note number in the “enter promo code/voucher code” bar before checkout and it keeps saying it’s not valid https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5015806